## ros-one-sound-classification 1.2.19-12jammy.20251215.2225

=== debian/changelog ===
ros-one-sound-classification (1.2.19-12jammy.20251215.2225) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Mon, 15 Dec 2025 22:25:25 +0000

ros-one-sound-classification (1.2.19-0jammy) jammy; urgency=high

  * Merge pull request #2879 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2879> from jsk-ros-pkg/add_license
    add LICENSE
  * add LICENSE
  * ad LICENSE
  * Contributors: Kei Okada

 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Wed, 14 May 2025 00:00:00 -0000

ros-one-sound-classification (1.2.18-0jammy) jammy; urgency=high

  * fix for ROS-O (#2861 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2861>)
  * add std_mgs build_depends, to fix obase-build (maybe and others)
    ```
    2025-01-03T00:50:28.1527201Z -- BUILD_SHARED_LIBS is on
    2025-01-03T00:50:28.2543412Z -- Using these message generators: gencpp;geneus;genlisp;gennodejs;genpy
    2025-01-03T00:50:28.2568008Z -- Could NOT find std_msgs (missing: std_msgs_DIR)
    2025-01-03T00:50:28.2569369Z -- Could not find the required component 'std_msgs'. The following CMake error indicates that you\
    either need to install the package with the same name or change your environment so that it can be found.
    2025-01-03T00:50:28.2584407Z CMake Error at /usr/share/catkin/cmake/catkinConfig.cmake:82 (find_package):
    2025-01-03T00:50:28.2585511Z   Could not find a package configuration file provided by "std_msgs" with any
    2025-01-03T00:50:28.2586306Z   of the following names:
    2025-01-03T00:50:28.2586595Z
    2025-01-03T00:50:28.2586761Z     std_msgsConfig.cmake
    2025-01-03T00:50:28.2587107Z     std_msgs-config.cmake
    2025-01-03T00:50:28.2587292Z
    2025-01-03T00:50:28.2587515Z   Add the installation prefix of "std_msgs" to CMAKE_PREFIX_PATH or set
    2025-01-03T00:50:28.2588032Z   "std_msgs_DIR" to a directory containing one of the above files.  If
    2025-01-03T00:50:28.2588533Z   "std_msgs" provides a separate development package or SDK, be sure it has
    2025-01-03T00:50:28.2588941Z   been installed.
    2025-01-03T00:50:28.2589180Z Call Stack (most recent call first):
    2025-01-03T00:50:28.2589472Z   CMakeLists.txt:4 (find_package)
    2025-01-03T00:50:28.2589660Z
    ```
  * [ros-o] sound_classification: use Python3 and requirements.in.obase (#2853 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2853>)
  * Contributors: Kei Okada, Shingo Kitagawa, Yoshiki Obinata, Yuki Furuta

 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Sat, 10 May 2025 00:00:00 -0000

ros-one-sound-classification (1.2.17-0jammy) jammy; urgency=high



 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Tue, 14 Nov 2023 00:00:00 -0000

ros-one-sound-classification (1.2.16-0jammy) jammy; urgency=high

  * [audio_to_spectrogram, sound_classification] Add data_to_spectrogram (#2767 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2767>)
  * use catkin_install_python to install python scripts under node_scripts/ scripts/ (#2743 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2743>)
  * [sound_classification] Update setup doc on READMEt( #2732 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2732>)
  * [sound_classification] Enable to pass all arguments of audio_to_spectrogram.launch from upper launches (#2731 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2731>)
  * [sound_classification] Fix pactl option to list up input devices (#2715 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2715>)
  * [sound_classification] set default as python2 in sound_classification (#2698 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2698>)
  * chmod -x sound_classification scripts for catkin_virtualenv (#2659 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2659>)
  * Add sound classification (#2635 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2635>)
    
      * copy from https://github.com/708yamaguchi/sound_classification
    
  * Contributors: Iori Yanokura, Kei Okada, Naoto Tsukamoto, Naoya Yamaguchi, Shingo Kitagawa, Shun Hasegawa

 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Fri, 10 Nov 2023 00:00:00 -0000

ros-one-sound-classification (1.2.15-0jammy) jammy; urgency=high



 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Sat, 10 Oct 2020 00:00:00 -0000

ros-one-sound-classification (1.2.14-0jammy) jammy; urgency=high



 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Fri, 09 Oct 2020 00:00:00 -0000

ros-one-sound-classification (1.2.13-0jammy) jammy; urgency=high



 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Thu, 08 Oct 2020 00:00:00 -0000

ros-one-sound-classification (1.2.12-0jammy) jammy; urgency=high



 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Sat, 03 Oct 2020 00:00:00 -0000

ros-one-sound-classification (1.2.11-0jammy) jammy; urgency=high

  * add sample program to convert audio message  to spectrogram
  * [WIP] Add program to classify sound
  * Contributors: Naoya Yamaguchi

 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Thu, 01 Oct 2020 00:00:00 -0000

ros-one-sound-classification (1.2.10-0jammy) jammy; urgency=high



 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Wed, 27 Mar 2019 00:00:00 -0000

ros-one-sound-classification (1.2.9-0jammy) jammy; urgency=high



 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Sat, 23 Feb 2019 00:00:00 -0000

ros-one-sound-classification (1.2.8-0jammy) jammy; urgency=high



 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Fri, 22 Feb 2019 00:00:00 -0000

ros-one-sound-classification (1.2.7-0jammy) jammy; urgency=high



 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Thu, 14 Feb 2019 00:00:00 -0000

ros-one-sound-classification (1.2.6-0jammy) jammy; urgency=high



 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Fri, 02 Nov 2018 00:00:00 -0000

ros-one-sound-classification (1.2.5-0jammy) jammy; urgency=high



 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Mon, 09 Apr 2018 00:00:00 -0000

ros-one-sound-classification (1.2.4-0jammy) jammy; urgency=high





## ros-one-sound-classification 1.2.19-12jammy.20260116.2211

=== debian/changelog ===
ros-one-sound-classification (1.2.19-12jammy.20260116.2211) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Fri, 16 Jan 2026 22:11:51 +0000

## ros-one-sound-classification 1.2.19-12jammy.20260207.2228

=== debian/changelog ===
ros-one-sound-classification (1.2.19-12jammy.20260207.2228) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Sat, 07 Feb 2026 22:28:41 +0000

## ros-one-sound-classification 1.2.19-12noble.20251215.2223

=== debian/changelog ===
ros-one-sound-classification (1.2.19-12noble.20251215.2223) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Mon, 15 Dec 2025 22:23:12 +0000

ros-one-sound-classification (1.2.19-0noble) noble; urgency=high

  * Merge pull request #2879 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2879> from jsk-ros-pkg/add_license
    add LICENSE
  * add LICENSE
  * ad LICENSE
  * Contributors: Kei Okada

 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Wed, 14 May 2025 00:00:00 -0000

ros-one-sound-classification (1.2.18-0noble) noble; urgency=high

  * fix for ROS-O (#2861 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2861>)
  * add std_mgs build_depends, to fix obase-build (maybe and others)
    ```
    2025-01-03T00:50:28.1527201Z -- BUILD_SHARED_LIBS is on
    2025-01-03T00:50:28.2543412Z -- Using these message generators: gencpp;geneus;genlisp;gennodejs;genpy
    2025-01-03T00:50:28.2568008Z -- Could NOT find std_msgs (missing: std_msgs_DIR)
    2025-01-03T00:50:28.2569369Z -- Could not find the required component 'std_msgs'. The following CMake error indicates that you\
    either need to install the package with the same name or change your environment so that it can be found.
    2025-01-03T00:50:28.2584407Z CMake Error at /usr/share/catkin/cmake/catkinConfig.cmake:82 (find_package):
    2025-01-03T00:50:28.2585511Z   Could not find a package configuration file provided by "std_msgs" with any
    2025-01-03T00:50:28.2586306Z   of the following names:
    2025-01-03T00:50:28.2586595Z
    2025-01-03T00:50:28.2586761Z     std_msgsConfig.cmake
    2025-01-03T00:50:28.2587107Z     std_msgs-config.cmake
    2025-01-03T00:50:28.2587292Z
    2025-01-03T00:50:28.2587515Z   Add the installation prefix of "std_msgs" to CMAKE_PREFIX_PATH or set
    2025-01-03T00:50:28.2588032Z   "std_msgs_DIR" to a directory containing one of the above files.  If
    2025-01-03T00:50:28.2588533Z   "std_msgs" provides a separate development package or SDK, be sure it has
    2025-01-03T00:50:28.2588941Z   been installed.
    2025-01-03T00:50:28.2589180Z Call Stack (most recent call first):
    2025-01-03T00:50:28.2589472Z   CMakeLists.txt:4 (find_package)
    2025-01-03T00:50:28.2589660Z
    ```
  * [ros-o] sound_classification: use Python3 and requirements.in.obase (#2853 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2853>)
  * Contributors: Kei Okada, Shingo Kitagawa, Yoshiki Obinata, Yuki Furuta

 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Sat, 10 May 2025 00:00:00 -0000

ros-one-sound-classification (1.2.17-0noble) noble; urgency=high



 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Tue, 14 Nov 2023 00:00:00 -0000

ros-one-sound-classification (1.2.16-0noble) noble; urgency=high

  * [audio_to_spectrogram, sound_classification] Add data_to_spectrogram (#2767 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2767>)
  * use catkin_install_python to install python scripts under node_scripts/ scripts/ (#2743 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2743>)
  * [sound_classification] Update setup doc on READMEt( #2732 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2732>)
  * [sound_classification] Enable to pass all arguments of audio_to_spectrogram.launch from upper launches (#2731 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2731>)
  * [sound_classification] Fix pactl option to list up input devices (#2715 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2715>)
  * [sound_classification] set default as python2 in sound_classification (#2698 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2698>)
  * chmod -x sound_classification scripts for catkin_virtualenv (#2659 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2659>)
  * Add sound classification (#2635 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2635>)
    
      * copy from https://github.com/708yamaguchi/sound_classification
    
  * Contributors: Iori Yanokura, Kei Okada, Naoto Tsukamoto, Naoya Yamaguchi, Shingo Kitagawa, Shun Hasegawa

 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Fri, 10 Nov 2023 00:00:00 -0000

ros-one-sound-classification (1.2.15-0noble) noble; urgency=high



 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Sat, 10 Oct 2020 00:00:00 -0000

ros-one-sound-classification (1.2.14-0noble) noble; urgency=high



 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Fri, 09 Oct 2020 00:00:00 -0000

ros-one-sound-classification (1.2.13-0noble) noble; urgency=high



 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Thu, 08 Oct 2020 00:00:00 -0000

ros-one-sound-classification (1.2.12-0noble) noble; urgency=high



 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Sat, 03 Oct 2020 00:00:00 -0000

ros-one-sound-classification (1.2.11-0noble) noble; urgency=high

  * add sample program to convert audio message  to spectrogram
  * [WIP] Add program to classify sound
  * Contributors: Naoya Yamaguchi

 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Thu, 01 Oct 2020 00:00:00 -0000

ros-one-sound-classification (1.2.10-0noble) noble; urgency=high



 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Wed, 27 Mar 2019 00:00:00 -0000

ros-one-sound-classification (1.2.9-0noble) noble; urgency=high



 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Sat, 23 Feb 2019 00:00:00 -0000

ros-one-sound-classification (1.2.8-0noble) noble; urgency=high



 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Fri, 22 Feb 2019 00:00:00 -0000

ros-one-sound-classification (1.2.7-0noble) noble; urgency=high



 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Thu, 14 Feb 2019 00:00:00 -0000

ros-one-sound-classification (1.2.6-0noble) noble; urgency=high



 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Fri, 02 Nov 2018 00:00:00 -0000

ros-one-sound-classification (1.2.5-0noble) noble; urgency=high



 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Mon, 09 Apr 2018 00:00:00 -0000

ros-one-sound-classification (1.2.4-0noble) noble; urgency=high





## ros-one-sound-classification 1.2.19-12noble.20260116.2205

=== requirements.txt ===
backports.functools-lru-cache==1.6.4  # via matplotlib
chainer==6.7.0            # via -r requirements.in
cloudpickle==1.3.0        # via scikit-image
cycler==0.10.0            # via matplotlib
decorator==4.4.2          # via networkx
enum34==1.1.10            # via imageio
filelock==3.2.1           # via chainer
futures==3.3.0            # via imageio
imageio==2.6.0            # via -r requirements.in, imgaug
imgaug==0.4.0             # via -r requirements.in
kiwisolver==1.1.0         # via matplotlib
matplotlib==2.2.5         # via imgaug, scikit-image
networkx==2.2             # via scikit-image
numpy==1.16.6             # via chainer, imageio, imgaug, matplotlib, opencv-python, pywavelets, scipy
opencv-python==4.2.0.32   # via -r requirements.in, imgaug
pillow==6.2.2             # via imageio, imgaug, scikit-image
protobuf==3.17.3          # via chainer
pyparsing==2.4.7          # via matplotlib
python-dateutil==2.8.2    # via matplotlib
pytz==2021.3              # via matplotlib
pywavelets==1.0.3         # via scikit-image
scikit-image==0.14.5      # via imgaug
scipy==1.2.3              # via imgaug, scikit-image
shapely==1.7.1            # via imgaug
six==1.16.0               # via chainer, cycler, imgaug, matplotlib, protobuf, python-dateutil, scikit-image
subprocess32==3.5.4       # via matplotlib
typing-extensions==3.6.6  # via chainer
typing==3.6.6             # via chainer, typing-extensions

# The following packages are considered to be unsafe in a requirements file:
# setuptools

=== debian/changelog ===
ros-one-sound-classification (1.2.19-12noble.20260116.2205) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Fri, 16 Jan 2026 22:05:06 +0000

## ros-one-sound-classification 1.2.19-12noble.20260207.2225

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(sound_classification)

find_package(catkin REQUIRED
  catkin_virtualenv
  message_generation
  std_msgs
  )
if (${catkin_virtualenv_VERSION} VERSION_LESS "0.3.0")
  message(STATUS "sound_classification requires catkin_virtualenv >= 0.3.0")
  return()
endif()

catkin_python_setup()

add_message_files(
  FILES
  InSound.msg
  )

generate_messages(
  DEPENDENCIES
  std_msgs
  )

catkin_package(
  CATKIN_DEPENDS
  message_runtime
  )

if("$ENV{ROS_DISTRO}" STREQUAL "indigo" OR "$ENV{ROS_DISTRO}" STREQUAL "kinetic" OR
    "$ENV{ROS_DISTRO}" STREQUAL "melodic" OR "$ENV{ROS_DISTRO}" STREQUAL "noetic")
catkin_generate_virtualenv(
  PYTHON_INTERPRETER python2
  INPUT_REQUIREMENTS requirements.in
  )
else()
execute_process(COMMAND cmake -E remove ${PROJECT_SOURCE_DIR}/requirements.txt)
catkin_generate_virtualenv(
  PYTHON_INTERPRETER python3
  INPUT_REQUIREMENTS requirements.in.obase
  )
endif()

file(GLOB SCRIPTS_FILES scripts/*.py)
catkin_install_python(
  PROGRAMS ${SCRIPTS_FILES}
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/scripts
)
install(DIRECTORY scripts
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
  PATTERN "*"
  PATTERN "*/*.py" EXCLUDE
)

install(DIRECTORY launch sample_rosbag
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
  )

install(FILES requirements.txt
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

if(CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS roslaunch rostest)

  file(GLOB LAUNCH_FILES launch/*.launch)
  list(REMOVE_ITEM LAUNCH_FILES "${PROJECT_SOURCE_DIR}/launch/record_audio_rosbag.launch")
  foreach(LAUNCH_FILE ${LAUNCH_FILES})
    roslaunch_add_file_check(${LAUNCH_FILE})
  endforeach()

  add_rostest(test/audio_to_spectrogram.test)
  # kinetic could not run roslaunch.parent.ROSLaunchParent() see https://github.com/ros/ros_comm/issues/1734
  if (${roslaunch_VERSION} VERSION_GREATER "1.12.17")
    add_rostest(test/classify_sound.test)
  endif()
endif()

=== debian/changelog ===
ros-one-sound-classification (1.2.19-12noble.20260207.2225) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Naoya Yamaguchi <708yamaguchi@gmail.com>  Sat, 07 Feb 2026 22:25:18 +0000

=== debian/control ===
Source: ros-one-sound-classification
Section: misc
Priority: optional
Maintainer: Naoya Yamaguchi <708yamaguchi@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-catkin-virtualenv, ros-one-message-generation, ros-one-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-sound-classification
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-audio-capture, ros-one-audio-to-spectrogram, ros-one-image-view, ros-one-jsk-recognition-msgs, ros-one-jsk-topic-tools, ros-one-message-filters, ros-one-message-runtime, ros-one-rospy, ros-one-sensor-msgs
Description: The sound_classification package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-sound-classification//opt/ros/one/lib/ || echo "Skip dh_shlibdeps error!!!"

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install
override_dh_strip:
	dh_strip || true
